Name enquiry
curl --request POST \
--url https://flickopenapi.co/merchant/name-enquiry \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_number": "00011122233",
"bank_code": "072"
}
'import requests
url = "https://flickopenapi.co/merchant/name-enquiry"
payload = {
"account_number": "00011122233",
"bank_code": "072"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({account_number: '00011122233', bank_code: '072'})
};
fetch('https://flickopenapi.co/merchant/name-enquiry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flickopenapi.co/merchant/name-enquiry",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'account_number' => '00011122233',
'bank_code' => '072'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flickopenapi.co/merchant/name-enquiry"
payload := strings.NewReader("{\n \"account_number\": \"00011122233\",\n \"bank_code\": \"072\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flickopenapi.co/merchant/name-enquiry")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"account_number\": \"00011122233\",\n \"bank_code\": \"072\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flickopenapi.co/merchant/name-enquiry")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_number\": \"00011122233\",\n \"bank_code\": \"072\"\n}"
response = http.request(request)
puts response.read_body{
"status": 200,
"message": "Account resolved successfully",
"data": {
"status": "true",
"message": "Account number resolved",
"data": {
"account_number": "0011223344",
"account_name": "User Name",
"bank_id": "13"
}
}
}API Reference
Name enquiry
Enquiry Account Name
POST
/
merchant
/
name-enquiry
Name enquiry
curl --request POST \
--url https://flickopenapi.co/merchant/name-enquiry \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"account_number": "00011122233",
"bank_code": "072"
}
'import requests
url = "https://flickopenapi.co/merchant/name-enquiry"
payload = {
"account_number": "00011122233",
"bank_code": "072"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({account_number: '00011122233', bank_code: '072'})
};
fetch('https://flickopenapi.co/merchant/name-enquiry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flickopenapi.co/merchant/name-enquiry",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'account_number' => '00011122233',
'bank_code' => '072'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flickopenapi.co/merchant/name-enquiry"
payload := strings.NewReader("{\n \"account_number\": \"00011122233\",\n \"bank_code\": \"072\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flickopenapi.co/merchant/name-enquiry")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"account_number\": \"00011122233\",\n \"bank_code\": \"072\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flickopenapi.co/merchant/name-enquiry")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_number\": \"00011122233\",\n \"bank_code\": \"072\"\n}"
response = http.request(request)
puts response.read_body{
"status": 200,
"message": "Account resolved successfully",
"data": {
"status": "true",
"message": "Account number resolved",
"data": {
"account_number": "0011223344",
"account_name": "User Name",
"bank_id": "13"
}
}
}Authorizations
Your live or test secret key, prefixed sk-. Send as Authorization: Bearer sk-....
Body
application/json
Enquiring a name